Description: Set Fdutils.texi date to build Fdutils.dvi reproducibly
 Inspired by:
 https://wiki.debian.org/ReproducibleBuilds/TimestampsInDviGeneratedByLaTeX
Author: Matteo Cypriani <mcy@lm7.fr>
Last-Update: 2021-02-02
--- a/doc/Makefile.in
+++ b/doc/Makefile.in
@@ -83,6 +83,9 @@
 
 Fdutils.texi: $(TEXISRC) texi-linearize$(EXEEXT_FOR_BUILD)
 	./texi-linearize$(EXEEXT_FOR_BUILD) $(srcdir) fdutils.texi > $@
+	minutes_since_midnight=$$(expr `date -u "+%H" -r $<` '*' 60 + `date -u "+%M" -r $<`); \
+		creation_time=$$(date -u "+\\\year=%Y\\\month=%m\\\day=%d\\\time=$$minutes_since_midnight" -r $<); \
+		sed -i "1s/^/$$creation_time/" Fdutils.texi
 
 
 # Don't cd, to avoid breaking install-sh references.
